This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 700455 - Retire ovirt-server package
Retire ovirt-server package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ovirt-server (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Scott Seago
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-28 08:55 EDT by Nicola Soranzo
Modified: 2011-07-28 03:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-28 03:51:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicola Soranzo 2011-04-28 08:55:57 EDT
Description of problem:
Since HAL has been deprecated upstream for 3 years, all major distributions are removing it. You can find more details on the proposed Fedora Feature page:

https://fedoraproject.org/wiki/Features/HalRemoval

The hal package has already been deprecated by its maintainer and blocked from composes for rawhide.
Therefore, unless somebody volunteers to maintain hal, the following broken dependencies for your package should be removed:

ovirt-server-installer-0.100-6.fc15.noarch requires hal

Version-Release number of selected component (if applicable):
ovirt-server-0.100-6.fc15
Comment 1 Nicola Soranzo 2011-06-16 06:07:46 EDT
I'm reading now on ovirt website:

https://fedorahosted.org/ovirt/wiki/FAQ

this:

"What's going on with ovirt-server? 

        The server project is not being actively worked on at this time. It is available for adoption however. Please email ovirt-devel if you're interested in adopting over the project.
        Current Status of the project: The server was running on Fedora 13, but rails changes in Fedora 14 and 15 have caused it to not work any longer."

and similarly on the mailing list:

https://www.redhat.com/archives/ovirt-devel/

So I suppose that this bug will never be fixed. I suggest that ovirt-server package should be deprecated by following the procedure:

https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life
Comment 2 Nicola Soranzo 2011-06-24 09:04:04 EDT
Can you please explain why you closed this bug report as WONTFIX while the package is not deprecated for Fedora 16 yet?
There is still the following broken dependency:

ovirt-server-installer-0.100-6.fc15.noarch requires hal
Comment 3 Nicola Soranzo 2011-07-12 06:08:46 EDT
No answer, reopening.
Comment 4 Nicola Soranzo 2011-07-14 11:13:07 EDT
ace package has also been deprecated recently, so now there are 2 additional broken dependencies:

ovirt-server-installer-0.100-6.fc15.noarch requires ace-postgres
ovirt-server-installer-0.100-6.fc15.noarch requires ace
Comment 5 Nicola Soranzo 2011-07-28 03:51:32 EDT
ovirt-server has been deprecated today, closing this bug report.
For reference, this is the ticket to block the package from composes:

https://fedorahosted.org/rel-eng/ticket/4843

Note You need to log in before you can comment on or make changes to this bug.